- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_remote_syslog – Manipulate remote syslog settings on a BIG-IP

New in version 2.5.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manipulate remote syslog settings on a BIG-IP.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
local_ip string |  | Specifies the local IP address of the system that is logging. To provide no local IP, specify the value `none`. When creating a remote syslog, if this parameter is not specified, the default value `none` is used.
name string added in 2.8 |  | Specifies the name of the syslog object. This option is required when multiple `remote_host` with the same IP or hostname are present on the device. If `name` is not provided `remote_host` is used by default.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.
remote_host string / required |  | Specifies the IP address, or hostname, for the remote system to which the system sends log messages.
remote_port string |  | Specifies the port that the system uses to send messages to the remote logging server. When creating a remote syslog, if this parameter is not specified, the default value `514` is used.
state string | Choices: absent present ← | When `present`, guarantees that the remote syslog exists with the provided attributes. When `absent`, removes the remote syslog from the system.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.

- Requires BIG-IP software version >= 12.

- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Add a remote syslog server to log to
      bigip_remote_syslog:
        remote_host: 10.10.10.10
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

    - name: Add a remote syslog server on a non-standard port to log to
      bigip_remote_syslog:
        remote_host: 10.10.10.10
        remote_port: 1234
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
local_ip string | changed | The new local IP of the remote syslog server Sample: 10.10.10.10
remote_port integer | changed | New remote port of the remote syslog server. Sample: 514

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

- Wojciech Wypior (@wojtek0806)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.